#from Acquisition import aq_base
#from Acquisition import aq_inner

#from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile

from Products.CMFCore.utils import getToolByName

from plone.memoize.instance import memoize

from zope.interface import implements

from betahaus.openmember.interfaces import IFiscalYearView
from betahaus.openmember.browser.baseview import OMBaseView

class FiscalYearView(OMBaseView):
    """ Report view for fiscal year
    """
    
    implements(IFiscalYearView)
    
    def getOpenMembers(self):
        """Get members for this fiscal year"""
        query = {}
        query['membership_references'] = self.context.UID()
        return self.openmember_catalog(query)